# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgAddSubrepositoryDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgAddSubrepositoryDialog(object):
    def setupUi(self, HgAddSubrepositoryDialog):
        HgAddSubrepositoryDialog.setObjectName("HgAddSubrepositoryDialog")
        HgAddSubrepositoryDialog.resize(550, 124)
        HgAddSubrepositoryDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(HgAddSubrepositoryDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HgAddSubrepositoryDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.pathPicker = EricPathPicker(parent=HgAddSubrepositoryDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pathPicker.sizePolicy().hasHeightForWidth())
        self.pathPicker.setSizePolicy(sizePolicy)
        self.pathPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pathPicker.setObjectName("pathPicker")
        self.gridLayout.addWidget(self.pathPicker, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HgAddSubrepositoryDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.typeCombo = QtWidgets.QComboBox(parent=HgAddSubrepositoryDialog)
        self.typeCombo.setObjectName("typeCombo")
        self.horizontalLayout_2.addWidget(self.typeCombo)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.gridLayout.addLayout(self.horizontalLayout_2, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=HgAddSubrepositoryDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.urlEdit = QtWidgets.QLineEdit(parent=HgAddSubrepositoryDialog)
        self.urlEdit.setObjectName("urlEdit")
        self.gridLayout.addWidget(self.urlEdit, 2, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgAddSubrepositoryDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 3, 0, 1, 2)
        self.label.setBuddy(self.pathPicker)
        self.label_2.setBuddy(self.typeCombo)
        self.label_3.setBuddy(self.urlEdit)

        self.retranslateUi(HgAddSubrepositoryDialog)
        self.buttonBox.accepted.connect(HgAddSubrepositoryDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgAddSubrepositoryDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgAddSubrepositoryDialog)
        HgAddSubrepositoryDialog.setTabOrder(self.pathPicker, self.typeCombo)
        HgAddSubrepositoryDialog.setTabOrder(self.typeCombo, self.urlEdit)

    def retranslateUi(self, HgAddSubrepositoryDialog):
        _translate = QtCore.QCoreApplication.translate
        HgAddSubrepositoryDialog.setWindowTitle(_translate("HgAddSubrepositoryDialog", "Add Sub-repository"))
        self.label.setText(_translate("HgAddSubrepositoryDialog", "&Path within Project:"))
        self.pathPicker.setToolTip(_translate("HgAddSubrepositoryDialog", "Enter the path of the sub-repository relative to the project"))
        self.label_2.setText(_translate("HgAddSubrepositoryDialog", "&Type:"))
        self.typeCombo.setToolTip(_translate("HgAddSubrepositoryDialog", "Select the type of the sub-repository"))
        self.label_3.setText(_translate("HgAddSubrepositoryDialog", "&URL:"))
        self.urlEdit.setToolTip(_translate("HgAddSubrepositoryDialog", "Enter the URL of the sub-repository"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
